Bug 1213482 - Please provide buildsys-macros for EPEL5 builds
Summary: Please provide buildsys-macros for EPEL5 builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-20 16:49 UTC by Erik Johnson
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Erik Johnson 2015-04-20 16:49:27 UTC
Description of problem:

%{rhel} is not defined because /etc/rpm/macros.dist is not present


How reproducible:

Any logic that depends on %{rhel} will not work properly with EPEL5 COPR builds

Steps to Reproduce:
1. Create a spec file with a %if 0%{?rhel} == 5
2. Make a SRPM out of this spec
3. Attempt to build the SRPM on COPR

Actual results:

The logic inside the if block is ignored

Expected results:

The logic inside the if block should not be ignored.

Additional info:

Comment 1 Miroslav Suchý 2015-04-21 10:23:07 UTC
Notes for myself: this file is provided by buildsys-macros package. I wonder why it is not provided in @buildsys-build comps group. Investigating.

Comment 2 Miroslav Suchý 2015-04-22 06:49:22 UTC
Mind the discussion here:
http://bugs.centos.org/view.php?id=8524

I tend to think that this should be fixed in mock. And it is up to Koji owners if they modify their koji configs.

Comment 3 Miroslav Suchý 2015-04-22 06:52:23 UTC
Fixed in:
* f318c89 install buildsys-macros in el5 chroot [RHBZ#1213482]

Comment 4 Fedora Update System 2015-04-29 13:16:39 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 5 Fedora Update System 2015-04-29 13:17:03 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 6 Fedora Update System 2015-04-29 13:18:13 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 7 Fedora Update System 2015-04-29 13:19:06 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 8 Fedora Update System 2015-04-29 13:25:51 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 9 Fedora Update System 2015-04-29 19:18:48 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-05-01 16:50:53 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-02 18:08:31 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-12 20:46:43 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-04 11:41:43 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 14 Fedora Update System 2015-06-04 11:42:29 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 15 Fedora Update System 2015-06-20 21:09:59 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-06-20 21:13:07 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.